Package net.sourceforge.jiu.gui.awt

# Class AwtOperationProcessor

java.lang.Object
net.sourceforge.jiu.apps.OperationProcessor
net.sourceforge.jiu.gui.awt.AwtOperationProcessor

All Implemented Interfaces:
  `MenuIndexConstants`

public class AwtOperationProcessor extends OperationProcessor
Performs operations specified by parent class `OperationProcessor`, uses various AWT dialogs to get parameters from user in a GUI application.

Since:
  0.8.0
Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`private JiuAwtFrame`
`frame`

### Fields inherited from interface net.sourceforge.jiu.apps.MenuIndexConstants

`COLOR, COLOR_ADJUST, COLOR_ADJUST_BRIGHTNESS, COLOR_ADJUST_CONTRAST, COLOR_ADJUST_GAMMA, COLOR_ADJUST_HUESATURATIONVALUE, COLOR_CONVERTTOMINIMUMCOLORTYPE, COLOR_HISTOGRAM, COLOR_HISTOGRAM_COUNTCOLORSUSED, COLOR_HISTOGRAM_EQUALIZE, COLOR_HISTOGRAM_NORMALIZE, COLOR_HISTOGRAM_SAVECOOCCURRENCEFREQUENCYMATRIXAS, COLOR_HISTOGRAM_SAVECOOCCURRENCEMATRIXAS, COLOR_HISTOGRAM_SAVEHISTOGRAMAS, COLOR_HISTOGRAM_TEXTUREPROPERTIES, COLOR_INVERT, COLOR_PALETTE, COLOR_PALETTE_SAVEAS, COLOR_PROMOTE, COLOR_PROMOTE_PROMOTETOGRAY16, COLOR_PROMOTE_PROMOTETOGRAY8, COLOR_PROMOTE_PROMOTETOPALETTED, COLOR_PROMOTE_PROMOTETORGB24, COLOR_PROMOTE_PROMOTETORGB48, COLOR_REDUCE, COLOR_REDUCE_CONVERTTOGRAYSCALE, COLOR_REDUCE_MAPTOARBITRARYPALETTE, COLOR_REDUCE_MEDIANCUT, COLOR_REDUCE_OCTREE, COLOR_REDUCE_REDUCENUMBEROFSHADESOFGRAY, COLOR_REDUCE_REDUCETOBILEVELTHRESHOLD, COLOR_REDUCE_UNIFORMPALETTE, EDIT, EDIT_REDO, EDIT_UNDO, FILE, FILE_CLOSE, FILE_EXIT, FILE_IMAGE_1, FILE_OPEN, FILE_SAVEAS, FILE_SAVEAS_GIF, FILE_SAVEAS_PALM, FILE_SAVEAS_PBM, FILE_SAVEAS_PGM, FILE_SAVEAS_PNG, FILE_SAVEAS_PPM, FILE_SAVEAS_SUNRASTER, FILE_SAVEAS_WINDOWSBMP, FILTERS, FILTERS_BLUR, FILTERS_EDGEDETECTION, FILTERS_EMBOSS, FILTERS_HORIZONTALPREWITT, FILTERS_HORIZONTALSOBEL, FILTERS_LITHOGRAPH, FILTERS_MAXIMUM, FILTERS_MEAN, FILTERS_MEDIAN, FILTERS_MINIMUM, FILTERS_OIL, FILTERS_PSYCHEDELICDISTILLATION, FILTERS_SHARPEN, FILTERS_VERTICALPREWITT, FILTERS_VERTICALSOBEL, HELP, HELP_ABOUT, HELP_SYSTEMINFORMATION, NUM_CONSTANTS, TRANSFORMATIONS, TRANSFORMATIONS_CROP, TRANSFORMATIONS_FLIP, TRANSFORMATIONS_MIRROR, TRANSFORMATIONS_ROTATE180, TRANSFORMATIONS_ROTATELEFT90, TRANSFORMATIONS_ROTATERIGHT90, TRANSFORMATIONS_SCALE, TRANSFORMATIONS_SHEAR, VIEW, VIEW_INTERPOLATIONTYPE, VIEW_INTERPOLATIONTYPE_BICUBIC, VIEW_INTERPOLATIONTYPE_BILINEAR, VIEW_INTERPOLATIONTYPE_NEARESTNEIGHBOR, VIEW_SETORIGINALSIZE, VIEW_ZOOMIN, VIEW_ZOOMOUT`

## Constructor Summary

Constructors
Constructor
Description
`AwtOperationProcessor(EditorState editorState, JiuAwtFrame awtFrame)`

## Method Summary

Modifier and Type
Method
Description
`void`
`colorAdjustBrightness()`
Adjust the brightness of the current image.
`void`
`colorAdjustContrast()`
Adjust the contrast of the current image.
`void`
`colorAdjustGamma()`
Adjust the gamma value of the current image.
`void`
`colorAdjustHueSaturationValue()`
Adjust hue, saturation and value of the current image.
`void`
`colorConvertToMinimumColorType()`
`void`
`colorHistogramCountColorsUsed()`
Count the number of colors used in the current image.
`void`
`colorHistogramEqualize()`
`void`
`colorHistogramNormalize()`
`void`
`colorHistogramSaveCoOccurrenceFrequencyMatrixAs()`
`void`
`colorHistogramSaveCoOccurrenceMatrixAs()`
`void`
`colorHistogramSaveHistogramAs()`
`void`
`colorHistogramTextureProperties()`
`void`
`colorInvert()`
`void`
`colorPaletteSaveAs()`
`void`
`colorPromotePromoteToGray16()`
`void`
`colorPromotePromoteToGray8()`
`void`
`colorPromotePromoteToPaletted()`
`void`
`colorPromotePromoteToRgb24()`
`void`
`colorPromotePromoteToRgb48()`
`void`
`colorReduceConvertToGrayscale()`
`void`
`colorReduceMapToArbitraryPalette()`
`void`
`colorReduceMedianCut()`
`void`
`colorReduceOctree()`
`void`
`colorReduceReduceNumberOfShadesOfGray()`
`void`
`colorReduceReduceToBilevelThreshold()`
`void`
`colorReduceUniformPalette()`
`private int`
`convertUniformToErrorDiffusion(int utype)`
`void`
`editRedo()`
`void`
`editUndo()`
`void`
`fileClose()`
If there is an image loaded in the application, remove the image.
`void`
`fileExit()`
Terminate the application.
`void`
`fileOpen(String uri)`
Load an image in the application.
`void`
`fileSaveAsBmp()`
Save the current image as a Windows BMP file.
`void`
`fileSaveAsGif()`
Save the current image as a GIF file.
`void`
`fileSaveAsPalm()`
Save the current image as a Palm image file.
`void`
`fileSaveAsPbm()`
Save the current image as a Portable Bitmap file.
`void`
`fileSaveAsPgm()`
Save the current image as a Portable Graymap file.
`void`
`fileSaveAsPng()`
Save the current image as a Portable Network Graphics file.
`private void`
`fileSaveAsPnm()`
`void`
`fileSaveAsPpm()`
Save the current image as a Portable Pixmap file.
`void`
`fileSaveAsRas()`
Save the current image as a Sun Raster file.
`void`
`filterConvolutionFilter(int type)`
`void`
`filtersBlur()`
`void`
`filtersEdgeDetection()`
`void`
`filtersEmboss()`
`void`
`filtersHorizontalPrewitt()`
`void`
`filtersHorizontalSobel()`
`void`
`filtersLithograph()`
`void`
`filtersMaximum()`
`void`
`filtersMean()`
`void`
`filtersMedian()`
`void`
`filtersMinimum()`
`void`
`filtersOil()`
`void`
`filtersPsychedelicDistillation()`
`void`
`filtersSharpen()`
`void`
`filtersVerticalPrewitt()`
`void`
`filtersVerticalSobel()`
`String`
`getUserFileName(String extension, int titleIndex, int fileDialogType)`
`String`
`getUserSaveAsFileName(String extension, int titleIndex)`
`void`
`helpAbout()`
Display information about the application: name, version, feedback email address, website.
`void`
`helpSystemInformation()`
Display information on the system this application is currently running on.
`void`
`process(ImageToImageOperation op)`
This method can be called for ImageToImageOperation objects.
`void`
`setImage(PixelImage newImage, boolean newModified)`
`void`
`transformationsCrop()`
`void`
`transformationsFlip()`
`void`
`transformationsMirror()`
`void`
`transformationsRotate180()`
`void`
`transformationsRotate90Left()`
`void`
`transformationsRotate90Right()`
`void`
`transformationsScale()`
`void`
`transformationsShear()`
`void`
`updateFrame(PixelImage image)`
`void`
`viewInterpolationTypeBicubic()`
`void`
`viewInterpolationTypeBilinear()`
`void`
`viewInterpolationTypeNearestNeighbor()`
`void`
`viewSetOriginalSize()`
`void`
`viewZoomIn()`
`void`
`viewZoomOut()`

### Methods inherited from class net.sourceforge.jiu.apps.OperationProcessor

`getEditorState, isAvailable, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frame

private JiuAwtFrame frame

## Constructor Details

### AwtOperationProcessor

public AwtOperationProcessor(EditorState editorState, JiuAwtFrame awtFrame)

## Method Details

### colorAdjustBrightness

public void colorAdjustBrightness()
Description copied from class: `OperationProcessor`
Adjust the brightness of the current image.

Specified by:
  `colorAdjustBrightness` in class `OperationProcessor`

### colorAdjustContrast

public void colorAdjustContrast()
Description copied from class: `OperationProcessor`
Adjust the contrast of the current image.

Specified by:
  `colorAdjustContrast` in class `OperationProcessor`

### colorAdjustGamma

public void colorAdjustGamma()
Description copied from class: `OperationProcessor`
Adjust the gamma value of the current image.

Specified by:
  `colorAdjustGamma` in class `OperationProcessor`

### colorAdjustHueSaturationValue

public void colorAdjustHueSaturationValue()
Description copied from class: `OperationProcessor`
Adjust hue, saturation and value of the current image.

Specified by:
  `colorAdjustHueSaturationValue` in class `OperationProcessor`

### colorHistogramCountColorsUsed

public void colorHistogramCountColorsUsed()
Description copied from class: `OperationProcessor`
Count the number of colors used in the current image.

Specified by:
  `colorHistogramCountColorsUsed` in class `OperationProcessor`

### colorHistogramEqualize

public void colorHistogramEqualize()

Specified by:
  `colorHistogramEqualize` in class `OperationProcessor`

### colorHistogramNormalize

public void colorHistogramNormalize()

Specified by:
  `colorHistogramNormalize` in class `OperationProcessor`

### colorHistogramTextureProperties

public void colorHistogramTextureProperties()

Specified by:
  `colorHistogramTextureProperties` in class `OperationProcessor`

### colorHistogramSaveHistogramAs

public void colorHistogramSaveHistogramAs()

Specified by:
  `colorHistogramSaveHistogramAs` in class `OperationProcessor`

### colorHistogramSaveCoOccurrenceMatrixAs

public void colorHistogramSaveCoOccurrenceMatrixAs()

Specified by:
  `colorHistogramSaveCoOccurrenceMatrixAs` in class `OperationProcessor`

### colorHistogramSaveCoOccurrenceFrequencyMatrixAs

public void colorHistogramSaveCoOccurrenceFrequencyMatrixAs()

Specified by:
  `colorHistogramSaveCoOccurrenceFrequencyMatrixAs` in class `OperationProcessor`

### colorPaletteSaveAs

public void colorPaletteSaveAs()

Specified by:
  `colorPaletteSaveAs` in class `OperationProcessor`

### colorPromotePromoteToPaletted

public void colorPromotePromoteToPaletted()

Specified by:
  `colorPromotePromoteToPaletted` in class `OperationProcessor`

### colorPromotePromoteToGray8

public void colorPromotePromoteToGray8()

Specified by:
  `colorPromotePromoteToGray8` in class `OperationProcessor`

### colorPromotePromoteToGray16

public void colorPromotePromoteToGray16()

Specified by:
  `colorPromotePromoteToGray16` in class `OperationProcessor`

### colorPromotePromoteToRgb24

public void colorPromotePromoteToRgb24()

Specified by:
  `colorPromotePromoteToRgb24` in class `OperationProcessor`

### colorPromotePromoteToRgb48

public void colorPromotePromoteToRgb48()

Specified by:
  `colorPromotePromoteToRgb48` in class `OperationProcessor`

### colorReduceReduceNumberOfShadesOfGray

public void colorReduceReduceNumberOfShadesOfGray()

Specified by:
  `colorReduceReduceNumberOfShadesOfGray` in class `OperationProcessor`

### colorReduceConvertToGrayscale

public void colorReduceConvertToGrayscale()

Specified by:
  `colorReduceConvertToGrayscale` in class `OperationProcessor`

### colorReduceMedianCut

public void colorReduceMedianCut()

Specified by:
  `colorReduceMedianCut` in class `OperationProcessor`

### colorInvert

public void colorInvert()

Specified by:
  `colorInvert` in class `OperationProcessor`

### colorConvertToMinimumColorType

public void colorConvertToMinimumColorType()

Specified by:
  `colorConvertToMinimumColorType` in class `OperationProcessor`

### colorReduceOctree

public void colorReduceOctree()

Specified by:
  `colorReduceOctree` in class `OperationProcessor`

### colorReduceReduceToBilevelThreshold

public void colorReduceReduceToBilevelThreshold()

Specified by:
  `colorReduceReduceToBilevelThreshold` in class `OperationProcessor`

### convertUniformToErrorDiffusion

private int convertUniformToErrorDiffusion(int utype)

### colorReduceUniformPalette

public void colorReduceUniformPalette()

Specified by:
  `colorReduceUniformPalette` in class `OperationProcessor`

### colorReduceMapToArbitraryPalette

public void colorReduceMapToArbitraryPalette()

Specified by:
  `colorReduceMapToArbitraryPalette` in class `OperationProcessor`

### editRedo

public void editRedo()

Specified by:
  `editRedo` in class `OperationProcessor`

### editUndo

public void editUndo()

Specified by:
  `editUndo` in class `OperationProcessor`

### fileClose

public void fileClose()
Description copied from class: `OperationProcessor`
If there is an image loaded in the application, remove the image.

Specified by:
  `fileClose` in class `OperationProcessor`

### fileExit

public void fileExit()
Description copied from class: `OperationProcessor`
Terminate the application. If changes were not saved, the user should be asked whether these changes should be discarded.

Specified by:
  `fileExit` in class `OperationProcessor`

### fileOpen

public void fileOpen(String uri)
Description copied from class: `OperationProcessor`
Load an image in the application.

Specified by:
  `fileOpen` in class `OperationProcessor`

### fileSaveAsBmp

public void fileSaveAsBmp()
Description copied from class: `OperationProcessor`
Save the current image as a Windows BMP file.

Specified by:
  `fileSaveAsBmp` in class `OperationProcessor`

### fileSaveAsGif

public void fileSaveAsGif()
Description copied from class: `OperationProcessor`
Save the current image as a GIF file.

Specified by:
  `fileSaveAsGif` in class `OperationProcessor`

### fileSaveAsPalm

public void fileSaveAsPalm()
Description copied from class: `OperationProcessor`
Save the current image as a Palm image file.

Specified by:
  `fileSaveAsPalm` in class `OperationProcessor`

### fileSaveAsPbm

public void fileSaveAsPbm()
Description copied from class: `OperationProcessor`
Save the current image as a Portable Bitmap file.

Specified by:
  `fileSaveAsPbm` in class `OperationProcessor`

### fileSaveAsPgm

public void fileSaveAsPgm()
Description copied from class: `OperationProcessor`
Save the current image as a Portable Graymap file.

Specified by:
  `fileSaveAsPgm` in class `OperationProcessor`

### fileSaveAsPng

public void fileSaveAsPng()
Description copied from class: `OperationProcessor`
Save the current image as a Portable Network Graphics file.

Specified by:
  `fileSaveAsPng` in class `OperationProcessor`

### fileSaveAsPnm

private void fileSaveAsPnm()

### fileSaveAsPpm

public void fileSaveAsPpm()
Description copied from class: `OperationProcessor`
Save the current image as a Portable Pixmap file.

Specified by:
  `fileSaveAsPpm` in class `OperationProcessor`

### fileSaveAsRas

public void fileSaveAsRas()
Description copied from class: `OperationProcessor`
Save the current image as a Sun Raster file.

Specified by:
  `fileSaveAsRas` in class `OperationProcessor`

### filterConvolutionFilter

public void filterConvolutionFilter(int type)

### filtersBlur

public void filtersBlur()

Specified by:
  `filtersBlur` in class `OperationProcessor`

### filtersSharpen

public void filtersSharpen()

Specified by:
  `filtersSharpen` in class `OperationProcessor`

### filtersEdgeDetection

public void filtersEdgeDetection()

Specified by:
  `filtersEdgeDetection` in class `OperationProcessor`

### filtersEmboss

public void filtersEmboss()

Specified by:
  `filtersEmboss` in class `OperationProcessor`

### filtersPsychedelicDistillation

public void filtersPsychedelicDistillation()

Specified by:
  `filtersPsychedelicDistillation` in class `OperationProcessor`

### filtersLithograph

public void filtersLithograph()

Specified by:
  `filtersLithograph` in class `OperationProcessor`

### filtersHorizontalSobel

public void filtersHorizontalSobel()

Specified by:
  `filtersHorizontalSobel` in class `OperationProcessor`

### filtersVerticalSobel

public void filtersVerticalSobel()

Specified by:
  `filtersVerticalSobel` in class `OperationProcessor`

### filtersHorizontalPrewitt

public void filtersHorizontalPrewitt()

Specified by:
  `filtersHorizontalPrewitt` in class `OperationProcessor`

### filtersVerticalPrewitt

public void filtersVerticalPrewitt()

Specified by:
  `filtersVerticalPrewitt` in class `OperationProcessor`

### filtersMaximum

public void filtersMaximum()

Specified by:
  `filtersMaximum` in class `OperationProcessor`

### filtersMedian

public void filtersMedian()

Specified by:
  `filtersMedian` in class `OperationProcessor`

### filtersMean

public void filtersMean()

Specified by:
  `filtersMean` in class `OperationProcessor`

### filtersMinimum

public void filtersMinimum()

Specified by:
  `filtersMinimum` in class `OperationProcessor`

### filtersOil

public void filtersOil()

Specified by:
  `filtersOil` in class `OperationProcessor`

### getUserFileName

public String getUserFileName(String extension, int titleIndex, int fileDialogType)

### getUserSaveAsFileName

public String getUserSaveAsFileName(String extension, int titleIndex)

### helpAbout

public void helpAbout()
Description copied from class: `OperationProcessor`
Display information about the application: name, version, feedback email address, website.

Specified by:
  `helpAbout` in class `OperationProcessor`

### helpSystemInformation

public void helpSystemInformation()
Description copied from class: `OperationProcessor`
Display information on the system this application is currently running on.

Specified by:
  `helpSystemInformation` in class `OperationProcessor`

### process

public void process(ImageToImageOperation op)
This method can be called for ImageToImageOperation objects.

### setImage

public void setImage(PixelImage newImage, boolean newModified)

### transformationsFlip

public void transformationsFlip()

Specified by:
  `transformationsFlip` in class `OperationProcessor`

### transformationsMirror

public void transformationsMirror()

Specified by:
  `transformationsMirror` in class `OperationProcessor`

### transformationsRotate90Left

public void transformationsRotate90Left()

Specified by:
  `transformationsRotate90Left` in class `OperationProcessor`

### transformationsRotate90Right

public void transformationsRotate90Right()

Specified by:
  `transformationsRotate90Right` in class `OperationProcessor`

### transformationsRotate180

public void transformationsRotate180()

Specified by:
  `transformationsRotate180` in class `OperationProcessor`

### transformationsCrop

public void transformationsCrop()

Specified by:
  `transformationsCrop` in class `OperationProcessor`

### transformationsShear

public void transformationsShear()

Specified by:
  `transformationsShear` in class `OperationProcessor`

### transformationsScale

public void transformationsScale()

Specified by:
  `transformationsScale` in class `OperationProcessor`

### updateFrame

public void updateFrame(PixelImage image)

### viewInterpolationTypeBicubic

public void viewInterpolationTypeBicubic()

Specified by:
  `viewInterpolationTypeBicubic` in class `OperationProcessor`

### viewInterpolationTypeBilinear

public void viewInterpolationTypeBilinear()

Specified by:
  `viewInterpolationTypeBilinear` in class `OperationProcessor`

### viewInterpolationTypeNearestNeighbor

public void viewInterpolationTypeNearestNeighbor()

Specified by:
  `viewInterpolationTypeNearestNeighbor` in class `OperationProcessor`

### viewZoomIn

public void viewZoomIn()

Specified by:
  `viewZoomIn` in class `OperationProcessor`

### viewZoomOut

public void viewZoomOut()

Specified by:
  `viewZoomOut` in class `OperationProcessor`

### viewSetOriginalSize

public void viewSetOriginalSize()

Specified by:
  `viewSetOriginalSize` in class `OperationProcessor`